<?php
/**
 * 用户角色
 * $Id$
 * @author huangliang
 * @package cn.compass.entity.definition
 */
class ChildAgeRange
{
	public $id;
	public $title;
	
	function __construct($record) {
		$this->id = $record["id"];
		$this->title = $record["title"];
	}
	
	/**
	 * 
	 * @return array ChildAgeRange
	 */
	public static function getList() {
		static $result;
			
		if ((!is_array($result)) || (count($result) < 1)) {
			
			$data = array();
			
			$tmp = array("id"=>1, "title"=>"3~6岁");
			array_push($data, $tmp);
			
			$tmp = array("id"=>2, "title"=>"7岁以上");
			array_push($data, $tmp);
			
			$result = array();
			foreach ($data as $row) {
				$tmp2 = new ChildAgeRange($row);
				array_push($result, $tmp2);
			}
		}
		return $result;
	}
	
	/**
	 * 
	 * @return ChildAgeRange 
	 */
	public static function getById($id) {
		$list = ChildAgeRange::getList();
		foreach ($list as $tmp) {
			if ($tmp->id == $id) {
				return $tmp;
			}
		}
		return null;
	}
	
	/**
	 * 
	 * @return ChildAgeRange 
	 */
	public static function getTitleById($id) {
		$list = ChildAgeRange::getList();
		foreach ($list as $tmp) {
			if ($tmp->id == $id) {
				return $tmp->title;
			}
		}
		return null;
	}
	

}